-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `appointment`
--

DROP TABLE IF EXISTS `appointment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `appointment` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `apply_no` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '申请编号',
  `episode_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '就诊流水号',
  `pat_src` int DEFAULT '0' COMMENT '1 门诊 2 急症 3 住院 4 体检',
  `pat_id` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '患者编号',
  `pat_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '患者姓名',
  `pat_gender` tinyint(1) NOT NULL COMMENT '患者性别',
  `pat_birthday` date DEFAULT NULL COMMENT '患者生日',
  `pat_mobile` char(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '患者手机',
  `pat_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '患者电话',
  `pat_identity_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '身份证号',
  `pat_addr` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '患者地址',
  `pat_dept_code` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '患者所在科室代码',
  `pat_dept_desc` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '患者所在科室名称',
  `pat_ward_code` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '患者所在病区代码',
  `pat_ward_desc` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '患者所在病区名称',
  `pat_bed_no` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '床号',
  `book_date` date DEFAULT NULL COMMENT '预约日期',
  `book_timeslot` int DEFAULT NULL COMMENT '预约时间段',
  `book_time` datetime NOT NULL COMMENT '预约发生时间',
  `book_check_type` int NOT NULL COMMENT '预约检查类型',
  `book_src` int NOT NULL COMMENT '1门诊  |2急诊  |3住院  |4体检\n',
  `paid` int DEFAULT '0' COMMENT '已付款标记',
  `sync_time` datetime DEFAULT NULL COMMENT '从数据平台同步时间',
  `tenant_id` int NOT NULL DEFAULT '1' COMMENT '租户编号',
  `creator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '删除标记',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq-pat-book` (`pat_id`,`book_date`,`book_check_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='预约表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `appointment`
--

LOCK TABLES `appointment` WRITE;
/*!40000 ALTER TABLE `appointment` DISABLE KEYS */;
INSERT INTO `appointment` VALUES (1,'807219831','2024701761',3,'8000','阿8000',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',8300900,'2024-12-03 09:41:06',100,0,0,NULL,1,'1','2024-12-03 09:41:06','1','2024-12-03 09:41:06',_binary '\0'),(2,'807219732','2024701761',3,'8000','阿8000',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',8300900,'2024-12-03 09:41:06',200,0,0,NULL,1,'1','2024-12-03 09:41:06','1','2024-12-03 09:41:06',_binary '\0'),(3,'807219633','2024701761',3,'8000','阿8000',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-05',8300900,'2024-12-03 09:41:06',300,0,0,NULL,1,'1','2024-12-03 09:41:06','1','2024-12-03 09:41:06',_binary '\0'),(4,'807219634','2024701761',3,'8000','阿8000',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',8300900,'2024-12-03 09:41:06',400,0,0,NULL,1,'1','2024-12-03 09:41:06','1','2024-12-03 09:41:06',_binary '\0'),(5,'807219635','2024701761',3,'8000','阿8000',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',8300900,'2024-12-03 09:41:06',500,0,0,NULL,1,'1','2024-12-03 09:41:06','1','2024-12-03 09:41:06',_binary '\0'),(6,'808219851','2024701765',3,'8001','阿8001',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',9301000,'2024-12-03 09:41:37',100,0,0,NULL,1,'1','2024-12-03 09:41:37','1','2024-12-03 09:41:37',_binary '\0'),(7,'808219752','2024701765',3,'8001','阿8001',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',9301000,'2024-12-03 09:41:37',200,0,0,NULL,1,'1','2024-12-03 09:41:37','1','2024-12-03 09:41:37',_binary '\0'),(8,'808219653','2024701765',3,'8001','阿8001',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',9301000,'2024-12-03 09:41:37',300,0,0,NULL,1,'1','2024-12-03 09:41:37','1','2024-12-03 09:41:37',_binary '\0'),(9,'808219654','2024701765',3,'8001','阿8001',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',9301000,'2024-12-03 09:41:37',400,0,0,NULL,1,'1','2024-12-03 09:41:37','1','2024-12-03 09:41:37',_binary '\0'),(10,'808219655','2024701765',3,'8001','阿8001',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',9301000,'2024-12-03 09:41:37',500,0,0,NULL,1,'1','2024-12-03 09:41:37','1','2024-12-03 09:41:37',_binary '\0'),(11,'828219851','2024701786',3,'8002','阿8002',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',13301400,'2024-12-03 09:41:51',100,0,0,NULL,1,'1','2024-12-03 09:41:51','1','2024-12-03 09:41:51',_binary '\0'),(12,'828219752','2024701786',3,'8002','阿8002',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',13301400,'2024-12-03 09:41:51',200,0,0,NULL,1,'1','2024-12-03 09:41:51','1','2024-12-03 09:41:51',_binary '\0'),(13,'828219653','2024701786',3,'8002','阿8002',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',13301400,'2024-12-03 09:41:51',300,0,0,NULL,1,'1','2024-12-03 09:41:51','1','2024-12-03 09:41:51',_binary '\0'),(14,'828219654','2024701786',3,'8002','阿8002',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',13301400,'2024-12-03 09:41:51',400,0,0,NULL,1,'1','2024-12-03 09:41:51','1','2024-12-03 09:41:51',_binary '\0'),(15,'828219655','2024701786',3,'8002','阿8002',1,'2024-12-03','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-03',13301400,'2024-12-03 09:41:51',500,0,0,NULL,1,'1','2024-12-03 09:41:51','1','2024-12-03 09:41:51',_binary '\0'),(16,'807219831','2024701761',3,'8000','阿8000',1,'2024-12-04','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-04',8300900,'2024-12-04 14:42:35',100,0,0,NULL,1,'1','2024-12-04 14:42:35','1','2024-12-04 14:42:35',_binary '\0'),(17,'807219732','2024701761',3,'8000','阿8000',1,'2024-12-04','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-04',8300900,'2024-12-04 14:42:35',200,0,0,NULL,1,'1','2024-12-04 14:42:35','1','2024-12-04 14:42:35',_binary '\0'),(18,'807219633','2024701761',3,'8000','阿8000',1,'2024-12-04','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-06',8300900,'2024-12-04 14:42:35',300,0,0,NULL,1,'1','2024-12-04 14:42:35','1','2024-12-04 14:42:35',_binary '\0'),(19,'807219634','2024701761',3,'8000','阿8000',1,'2024-12-04','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-04',8300900,'2024-12-04 14:42:35',400,0,0,NULL,1,'1','2024-12-04 14:42:35','1','2024-12-04 14:42:35',_binary '\0'),(20,'807219635','2024701761',3,'8000','阿8000',1,'2024-12-04','18257964397',NULL,'','杭州市北山路19号','ZYMN','泌尿外科','BQMN','泌尿外科病区(24)','50','2024-12-04',8300900,'2024-12-04 14:42:35',500,0,0,NULL,1,'1','2024-12-04 14:42:35','1','2024-12-04 14:42:35',_binary '\0');
/*!40000 ALTER TABLE `appointment` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:46
