-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `clinic_room`
--

DROP TABLE IF EXISTS `clinic_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `clinic_room` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `room_id` bigint NOT NULL COMMENT '诊室编号',
  `room_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '诊室名称',
  `bed_no` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '诊疗床编号',
  `check_types` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '[]' COMMENT '支持的检查项目',
  `op_type` int DEFAULT '0' COMMENT '对于 动态心电 动态血压 区分 设备准备工位 、 设备安装工位\n0 - 常规项目工位\n1 - 设备准备工位\n2 - 装机工位\n',
  `status` int NOT NULL DEFAULT '0',
  `doc_id` bigint DEFAULT NULL,
  `doc_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '',
  `ip` char(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '',
  `creator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '删除标记',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique-room-bed` (`room_id`,`bed_no`,`deleted`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='诊室和诊疗床表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `clinic_room`
--

LOCK TABLES `clinic_room` WRITE;
/*!40000 ALTER TABLE `clinic_room` DISABLE KEYS */;
INSERT INTO `clinic_room` VALUES (1,116,'1号门诊','A1','[100,1100]',0,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:10:38','1','2024-11-22 15:30:56',_binary '\0'),(2,117,'2号门诊','B1','[100,500,1100]',0,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:11:03','1','2024-11-25 11:28:26',_binary '\0'),(3,118,'3号门诊','C1','[100]',0,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:11:23','1','2024-11-22 14:11:23',_binary '\0'),(4,119,'4号门诊','D1','[200,300]',1,10,NULL,NULL,'0:0:0:0:0:0:0:1','1','2024-11-22 14:11:58','1','2024-12-03 09:44:54',_binary '\0'),(5,119,'4号门诊','D2','[200,300]',2,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:12:22','1','2024-11-22 14:12:22',_binary '\0'),(6,119,'4号门诊','D3','[200,300]',2,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:12:46','1','2024-11-22 14:12:46',_binary '\0'),(7,121,'6号门诊','F1','[400]',0,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:13:13','1','2024-11-22 14:13:13',_binary '\0'),(8,123,'8号门诊','H1','[600]',0,10,NULL,NULL,'0.0.0.0','1','2024-11-22 14:13:41','1','2024-11-22 14:13:41',_binary '\0');
/*!40000 ALTER TABLE `clinic_room` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:38
