-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `device`
--

DROP TABLE IF EXISTS `device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `device` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `dev_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备编号 <-> 三个code值之一',
  `category` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '分类名',
  `brand` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '品牌',
  `model` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '型号',
  `dev_code_hosp` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备医院编号',
  `dev_code_dept` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备科室编号',
  `dev_code_Intrinsic` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备铭牌上的编码',
  `purchase_date` date DEFAULT NULL COMMENT '采购日期',
  `state_date` date DEFAULT NULL COMMENT '状态更新日期',
  `tenant_id` int DEFAULT '1' COMMENT '租户编号',
  `state` int DEFAULT '0' COMMENT '0 - 空闲  10 - 使用用  20 - 已遗失 ',
  `rent_id` bigint DEFAULT NULL COMMENT 'dev_rent 关联',
  `pat_details` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '患者详情',
  `comment` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `creator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '删除标记',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uni_dev_id` (`dev_id`),
  KEY `idx_state` (`state`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='设备表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `device`
--

LOCK TABLES `device` WRITE;
/*!40000 ALTER TABLE `device` DISABLE KEYS */;
INSERT INTO `device` VALUES (1,'y1','动态心电','boying','TeleAECG','y1','y1','y1','2024-11-27','2024-12-18',1,0,NULL,NULL,'1111111111111111111111111111111111','1','2024-11-27 14:59:31','1','2024-12-18 11:11:58',_binary '\0'),(2,'b1','动态心电','baihui','CT-08S','b1','b1','b1','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:00:45','1','2024-11-27 15:00:45',_binary '\0'),(3,'bx1','动态血压','boying','B15000','bx1','bx1','bx1','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:01:02','1','2024-11-27 15:01:22',_binary '\0'),(4,'901','动态血压','suntech','Model-222','901','901','901','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:01:41','1','2024-11-27 15:01:41',_binary '\0'),(5,'y2','动态心电','boying','TeleAECG','y2','y2','y2','2024-11-27','2024-12-18',1,0,NULL,'','ggggg','1','2024-11-27 14:59:31','1','2024-11-27 14:59:31',_binary '\0'),(6,'y3','动态心电','boying','TeleAECG','y3','y3','y3','2024-11-27','2024-12-18',1,0,NULL,NULL,'ggggg67','1','2024-11-27 14:59:31','1','2024-12-18 16:15:49',_binary '\0'),(7,'y4','动态心电','boying','TeleAECG','y4','y4','y4','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 14:59:31','1','2024-11-27 14:59:31',_binary '\0'),(8,'y5','动态心电','boying','TeleAECG','y5','y5','y5','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 14:59:31','1','2024-11-27 14:59:31',_binary '\0'),(9,'y6','动态心电','boying','TeleAECG','y6','y6','y6','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 14:59:31','1','2024-11-27 14:59:31',_binary '\0'),(10,'y7','动态心电','boying','TeleAECG','y7','y7','y7','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 14:59:31','1','2024-11-27 14:59:31',_binary '\0'),(11,'b2','动态心电','baihui','CT-08S','b2','b2','b2','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:38:40','1','2024-11-27 15:38:40',_binary '\0'),(12,'b3','动态心电','baihui','CT-08S','b3','b3','b3','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:39:02','1','2024-11-27 15:39:02',_binary '\0'),(13,'b4','动态心电','baihui','CT-08S','b4','b4','b4','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:39:15','1','2024-11-27 15:39:15',_binary '\0'),(14,'b5','动态心电','baihui','CT-08S','b5','b5','b5','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:39:27','1','2024-11-27 15:39:27',_binary '\0'),(15,'b6','动态心电','baihui','CT-08S','b6','b6','b6','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:39:40','1','2024-11-27 15:39:40',_binary '\0'),(16,'b7','动态心电','baihui','CT-08S','b7','b7','b7','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:39:50','1','2024-11-27 15:39:50',_binary '\0'),(17,'bx2','动态血压','boying','B15000','bx2','bx2','bx2','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:40:31','1','2024-11-27 15:40:31',_binary '\0'),(18,'bx3','动态血压','boying','B15000','bx3','bx3','bx3','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:40:50','1','2024-11-27 15:40:50',_binary '\0'),(19,'bx4','动态血压','boying','B15000','bx4','bx4','bx4','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:41:04','1','2024-11-27 15:41:04',_binary '\0'),(20,'bx5','动态血压','boying','B15000','bx5','bx5','bx5','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:41:17','1','2024-11-27 15:41:17',_binary '\0'),(21,'bx6','动态血压','boying','B15000','bx6','bx6','bx6','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:41:29','1','2024-11-27 15:41:29',_binary '\0'),(22,'bx7','动态血压','boying','B15000','bx7','bx7','bx7','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:41:45','1','2024-11-27 15:41:45',_binary '\0'),(23,'723','动态血压','suntech','Model-222','723','723','723','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:42:24','1','2024-11-27 15:42:24',_binary '\0'),(24,'902','动态血压','suntech','Model-222','902','902','902','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:43:03','1','2024-11-27 15:43:03',_binary '\0'),(25,'903','动态血压','suntech','Model-222','903','903','903','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:43:18','1','2024-11-27 15:43:18',_binary '\0'),(26,'722','动态血压','suntech','Model-222','722','722','722','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:43:30','1','2024-11-27 15:43:30',_binary '\0'),(27,'904','动态血压','suntech','Model-222','904','904','904','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:43:44','1','2024-11-27 15:43:44',_binary '\0'),(28,'830','动态血压','suntech','Model-222','830','830','830','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:44:01','1','2024-11-27 15:44:01',_binary '\0'),(29,'907','动态血压','suntech','Model-222','907','907','907','2024-11-27',NULL,1,0,NULL,'','','1','2024-11-27 15:44:16','1','2024-11-27 15:44:16',_binary '\0'),(30,'22222','动态心电','boying','TeleAECG','22222','22222','22222','2024-12-18','2024-12-18',1,0,NULL,'','22222222222222223','1','2024-12-18 11:12:37','1','2024-12-18 11:12:37',_binary '\0');
/*!40000 ALTER TABLE `device` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:54
