-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `job_record`
--

DROP TABLE IF EXISTS `job_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `check_type` int DEFAULT '0',
  `job_type` int NOT NULL COMMENT '作业类型',
  `doc_id` bigint NOT NULL COMMENT '医生编号',
  `doc_name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '医生名称',
  `rent_id` bigint NOT NULL COMMENT '对应租赁编号',
  `dev_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备编号',
  `pat_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '患者编号',
  `pat_name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '患者名称',
  `job_time` datetime DEFAULT NULL COMMENT '作业时间',
  `summary` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '作业概要',
  `remark` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int DEFAULT '1' COMMENT '租户编号',
  `creator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '删除标记',
  PRIMARY KEY (`id`),
  KEY `idx_pat_job` (`pat_id`,`job_time`,`job_type`),
  KEY `idx_rent_id` (`rent_id`),
  KEY `idx_rent_doc_job` (`job_time`,`doc_id`,`job_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job_record`
--

LOCK TABLES `job_record` WRITE;
/*!40000 ALTER TABLE `job_record` DISABLE KEYS */;
INSERT INTO `job_record` VALUES (1,200,5,143,'徐小英',1,'d1','0000432269','朱吾娟','2024-11-26 16:02:08','',NULL,1,'143','2024-11-26 16:03:23','143','2024-11-26 16:03:23',_binary '\0'),(2,200,5,143,'徐小英',8,'d2','0000516132','杜小英','2024-11-26 16:05:59','',NULL,1,'143','2024-11-26 16:08:52','143','2024-11-26 16:08:52',_binary '\0'),(3,300,5,143,'徐小英',7,'d3','0000516132','杜小英','2024-11-26 16:08:52','',NULL,1,'143','2024-11-26 16:09:02','143','2024-11-26 16:09:02',_binary '\0'),(4,200,10,143,'徐小英',1,'d1','0000432269','朱吾娟','2024-11-26 16:10:04','',NULL,1,'143','2024-11-26 16:10:37','143','2024-11-26 16:10:37',_binary '\0'),(5,200,20,143,'徐小英',1,'d1','0000432269','朱吾娟','2024-11-26 16:11:38','null null null',NULL,1,'143','2024-11-26 16:11:58','143','2024-11-26 16:11:58',_binary '\0'),(6,300,10,143,'徐小英',7,'d3','0000516132','杜小英','2024-11-26 16:13:07','',NULL,1,'143','2024-11-26 16:13:34','143','2024-11-26 16:13:34',_binary '\0'),(7,200,5,143,'徐小英',23,'d5','0000561690','王旭东','2024-11-26 16:38:36','',NULL,1,'143','2024-11-26 16:39:03','143','2024-11-26 16:39:03',_binary '\0'),(8,300,5,143,'徐小英',24,'d6','0000561690','王旭东','2024-11-26 16:58:50','',NULL,1,'143','2024-11-26 16:58:57','143','2024-11-26 16:58:57',_binary '\0'),(9,200,5,143,'徐小英',22,'d7','0000279072','黄宝花','2024-11-26 23:34:20','',NULL,1,'143','2024-11-26 23:34:33','143','2024-11-26 23:34:33',_binary '\0');
/*!40000 ALTER TABLE `job_record` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:33
