-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `system_operate_log`
--

DROP TABLE IF EXISTS `system_operate_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_operate_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `trace_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '链路追踪编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `user_type` tinyint NOT NULL DEFAULT '0' COMMENT '用户类型',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '操作模块类型',
  `sub_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '操作名',
  `biz_id` bigint NOT NULL COMMENT '操作数据模块编号',
  `action` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '操作内容',
  `extra` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '拓展字段',
  `request_method` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '请求方法名',
  `request_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '请求地址',
  `user_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户 IP',
  `user_agent` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '浏览器 UA',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT '0' COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9090 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='操作日志记录 V2 版本';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_operate_log`
--

LOCK TABLES `system_operate_log` WRITE;
/*!40000 ALTER TABLE `system_operate_log` DISABLE KEYS */;
INSERT INTO `system_operate_log` VALUES (9053,'',1,2,'SYSTEM 角色','创建角色',153,'创建了角色【医生】','','POST','/admin-api/system/role/create','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/127.0.0.0 Safari/537.36',NULL,'2024-08-16 17:59:39',NULL,'2024-08-16 17:59:39',_binary '\0',1),(9054,'',1,2,'SYSTEM 用户','创建用户',139,'创建了用户【钟南山】','','POST','/admin-api/system/user/create','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36',NULL,'2024-08-30 09:36:31',NULL,'2024-08-30 09:36:31',_binary '\0',0),(9055,'',1,2,'SYSTEM 用户','创建用户',140,'创建了用户【华佗】','','POST','/admin-api/system/user/create','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36',NULL,'2024-08-30 09:37:31',NULL,'2024-08-30 09:37:31',_binary '\0',0),(9056,'',1,2,'SYSTEM 用户','删除用户',139,'删除了用户【钟南山】','','DELETE','/admin-api/system/user/delete','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36',NULL,'2024-08-30 09:37:55',NULL,'2024-08-30 09:37:55',_binary '\0',0),(9057,'',1,2,'SYSTEM 用户','创建用户',141,'创建了用户【扁鹊】','','POST','/admin-api/system/user/create','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36',NULL,'2024-08-30 09:38:27',NULL,'2024-08-30 09:38:27',_binary '\0',0),(9058,'',1,2,'SYSTEM 用户','更新用户',141,'更新了用户【扁鹊】: 【部门】从【空】修改为【ECG】','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36',NULL,'2024-08-30 09:38:36',NULL,'2024-08-30 09:38:36',_binary '\0',0),(9059,'',1,2,'SYSTEM 角色','删除角色',101,'删除了角色【测试账号】','','DELETE','/admin-api/system/role/delete','192.168.2.100','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-01 09:24:09',NULL,'2024-11-01 09:24:09',_binary '\0',0),(9060,'',1,2,'SYSTEM 角色','创建角色',154,'创建了角色【护士角色】','','POST','/admin-api/system/role/create','192.168.2.100','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-01 09:27:05',NULL,'2024-11-01 09:27:05',_binary '\0',0),(9061,'',1,2,'SYSTEM 角色','更新角色',153,'更新了角色【医生】: 【角色标志】从【空】修改为【doctor】；【角色名称】从【空】修改为【医生角色】；【备注】从【空】修改为【】；【显示顺序】从【空】修改为【5】','','PUT','/admin-api/system/role/update','192.168.2.100','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-01 09:27:17',NULL,'2024-11-01 09:27:17',_binary '\0',0),(9062,'',1,2,'SYSTEM 用户','更新用户',1,'更新了用户【金华医院】: 【部门】从【研发部门】修改为【顶级部门】；【用户邮箱】从【aoteman@126.com】修改为【】；【手机号码】从【18818260277】修改为【】；【岗位】删除了【董事长，项目经理】','','PUT','/admin-api/system/user/update','192.168.2.100','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-01 09:29:44',NULL,'2024-11-01 09:29:44',_binary '\0',0),(9063,'',1,2,'SYSTEM 用户','创建用户',142,'创建了用户【南丁格尔】','','POST','/admin-api/system/user/create','192.168.2.100','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-01 09:32:06',NULL,'2024-11-01 09:32:06',_binary '\0',0),(9064,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:01:51',NULL,'2024-11-21 10:01:51',_binary '\0',0),(9065,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:09:16',NULL,'2024-11-21 10:09:16',_binary '\0',0),(9066,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:17:01',NULL,'2024-11-21 10:17:01',_binary '\0',0),(9067,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:24:57',NULL,'2024-11-21 10:24:57',_binary '\0',0),(9068,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:29:56',NULL,'2024-11-21 10:29:56',_binary '\0',0),(9069,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-21 10:30:08',NULL,'2024-11-21 10:30:08',_binary '\0',0),(9070,'',1,2,'SYSTEM 用户','更新用户',142,'更新了用户【南丁格尔】: ','','PUT','/admin-api/system/user/update','0:0:0:0:0:0:0:1','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 10:54:33',NULL,'2024-11-22 10:54:33',_binary '\0',0),(9071,'',1,2,'SYSTEM 用户','创建用户',143,'创建了用户【徐小英】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:36:19',NULL,'2024-11-22 13:36:19',_binary '\0',0),(9072,'',1,2,'SYSTEM 用户','创建用户',144,'创建了用户【蔡晓慧】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:37:30',NULL,'2024-11-22 13:37:30',_binary '\0',0),(9073,'',1,2,'SYSTEM 用户','创建用户',145,'创建了用户【龚城妙】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:38:12',NULL,'2024-11-22 13:38:12',_binary '\0',0),(9074,'',1,2,'SYSTEM 用户','创建用户',146,'创建了用户【邵燕】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:38:49',NULL,'2024-11-22 13:38:49',_binary '\0',0),(9075,'',1,2,'SYSTEM 用户','创建用户',147,'创建了用户【俞晨婧】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:39:28',NULL,'2024-11-22 13:39:28',_binary '\0',0),(9076,'',1,2,'SYSTEM 用户','创建用户',148,'创建了用户【陈晓群】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:40:25',NULL,'2024-11-22 13:40:25',_binary '\0',0),(9077,'',1,2,'SYSTEM 用户','创建用户',149,'创建了用户【滕瑾】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:41:09',NULL,'2024-11-22 13:41:09',_binary '\0',0),(9078,'',1,2,'SYSTEM 用户','创建用户',150,'创建了用户【薛芳】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:41:48',NULL,'2024-11-22 13:41:48',_binary '\0',0),(9079,'',1,2,'SYSTEM 用户','创建用户',151,'创建了用户【文佳颖】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:42:25',NULL,'2024-11-22 13:42:25',_binary '\0',0),(9080,'',1,2,'SYSTEM 用户','创建用户',152,'创建了用户【曹俊】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:43:06',NULL,'2024-11-22 13:43:06',_binary '\0',0),(9081,'',1,2,'SYSTEM 用户','创建用户',153,'创建了用户【金丽珍】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:43:47',NULL,'2024-11-22 13:43:47',_binary '\0',0),(9082,'',1,2,'SYSTEM 用户','创建用户',154,'创建了用户【陈雯睿】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:44:27',NULL,'2024-11-22 13:44:27',_binary '\0',0),(9083,'',1,2,'SYSTEM 用户','更新用户',152,'更新了用户【曹俊】: 【用户性别】从【男】修改为【女】','','PUT','/admin-api/system/user/update','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:44:35',NULL,'2024-11-22 13:44:35',_binary '\0',0),(9084,'',1,2,'SYSTEM 用户','创建用户',155,'创建了用户【王美玲】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:45:10',NULL,'2024-11-22 13:45:10',_binary '\0',0),(9085,'',1,2,'SYSTEM 用户','创建用户',156,'创建了用户【范孝春】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:45:46',NULL,'2024-11-22 13:45:46',_binary '\0',0),(9086,'',1,2,'SYSTEM 用户','创建用户',157,'创建了用户【吴艳梅】','','POST','/admin-api/system/user/create','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 13:46:19',NULL,'2024-11-22 13:46:19',_binary '\0',0),(9087,'',1,2,'SYSTEM 用户','删除用户',141,'删除了用户【扁鹊】','','DELETE','/admin-api/system/user/delete','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 14:16:00',NULL,'2024-11-22 14:16:00',_binary '\0',0),(9088,'',1,2,'SYSTEM 用户','删除用户',140,'删除了用户【华佗】','','DELETE','/admin-api/system/user/delete','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 14:16:05',NULL,'2024-11-22 14:16:05',_binary '\0',0),(9089,'',1,2,'SYSTEM 用户','删除用户',142,'删除了用户【南丁格尔】','','DELETE','/admin-api/system/user/delete','10.0.2.106','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36',NULL,'2024-11-22 14:16:10',NULL,'2024-11-22 14:16:10',_binary '\0',0);
/*!40000 ALTER TABLE `system_operate_log` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:43
