-- MySQL dump 10.13  Distrib 8.0.28, for macos11 (x86_64)
--
-- Host: 116.62.18.175    Database: lihu
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dev_rent`
--

DROP TABLE IF EXISTS `dev_rent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dev_rent` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `apply_no` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '',
  `episode_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '',
  `pat_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '患者编号',
  `pat_name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '患者名称',
  `pat_details` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '',
  `check_type` int DEFAULT '0',
  `dev_id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备编号',
  `rent_time` datetime DEFAULT NULL COMMENT '装机时间',
  `return_time` datetime DEFAULT NULL COMMENT '拆机时间',
  `entry_time` datetime DEFAULT NULL,
  `interference` int DEFAULT NULL COMMENT '干扰数',
  `baseline` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '基线粗',
  `detachment` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '脱离',
  `remark` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int DEFAULT '1' COMMENT '租户编号',
  `state` int DEFAULT '0' COMMENT '0 - 待装机  10 - 已装机  20 - 已拆机 30 - 已放弃 40 - 已遗失',
  `paid` int DEFAULT '0',
  `creator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '删除标记',
  PRIMARY KEY (`id`),
  KEY `idx_state_pat` (`state`,`pat_id`),
  KEY `idx_state_dev` (`state`,`dev_id`)
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='装机拆机表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dev_rent`
--

LOCK TABLES `dev_rent` WRITE;
/*!40000 ALTER TABLE `dev_rent` DISABLE KEYS */;
INSERT INTO `dev_rent` VALUES (1,'','','0000432269','朱吾娟','{\"mobile\":\"13867966700\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"11\",\"source\":0,\"applyNo\":\"817406026\",\"name\":\"朱吾娟\",\"id\":\"0000432269\"}',200,'d1','2024-11-26 16:10:04','2024-11-26 16:11:38',NULL,NULL,NULL,NULL,NULL,1,20,1,'1','2024-11-26 14:52:49','143','2024-11-26 16:11:58',_binary '\0'),(2,'','','0000538293','邹雄雄','{\"mobile\":\"18779201955\",\"deptCode\":\"ZY9Y\",\"deptDesc\":\"入院准备中心\",\"wardCode\":\"BQ26\",\"wardDesc\":\"入院准备中心*\",\"bedNo\":\"10\",\"source\":0,\"applyNo\":\"817522837\",\"name\":\"邹雄雄\",\"id\":\"0000538293\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:26:37','1','2024-11-26 15:26:37',_binary '\0'),(3,'','','0000422886','叶金满','{\"mobile\":\"13335990158\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817521224\",\"name\":\"叶金满\",\"id\":\"0000422886\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:28:03','1','2024-11-26 15:28:03',_binary '\0'),(4,'','','0000209778','赖根庆','{\"mobile\":\"13967475722\",\"deptCode\":\"ZYGY\",\"deptDesc\":\"肝胆胰胃肠外一科\",\"wardCode\":\"GDYK\",\"wardDesc\":\"肝胆一病区(16)\",\"bedNo\":\"36\",\"source\":0,\"applyNo\":\"817498669\",\"name\":\"赖根庆\",\"id\":\"0000209778\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:33:32','1','2024-11-26 15:33:32',_binary '\0'),(5,'','','0000422886','叶金满','{\"mobile\":\"13335990158\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817521209\",\"name\":\"叶金满\",\"id\":\"0000422886\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:33:48','1','2024-11-26 15:33:48',_binary '\0'),(6,'','','0000561804','邵淑懿','{\"mobile\":\"15088206696\",\"deptCode\":\"SJWK\",\"deptDesc\":\"神经外科(新)\",\"wardCode\":\"SJBQ\",\"wardDesc\":\"神经外科病区(15)\",\"bedNo\":\"10\",\"source\":0,\"applyNo\":\"817511773\",\"name\":\"邵淑懿\",\"id\":\"0000561804\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:34:28','1','2024-11-26 15:34:28',_binary '\0'),(7,'','','0000516132','杜小英','{\"mobile\":\"13757968339\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"36\",\"source\":0,\"applyNo\":\"817421062\",\"name\":\"杜小英\",\"id\":\"0000516132\"}',300,'d3','2024-11-26 16:13:07',NULL,NULL,NULL,NULL,NULL,NULL,1,10,1,'1','2024-11-26 15:36:30','143','2024-11-26 16:13:34',_binary '\0'),(8,'','','0000516132','杜小英','{\"mobile\":\"13757968339\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"36\",\"source\":0,\"applyNo\":\"817389252\",\"name\":\"杜小英\",\"id\":\"0000516132\"}',200,'d2','2024-11-26 16:05:59',NULL,NULL,NULL,NULL,NULL,NULL,1,5,1,'1','2024-11-26 15:36:34','143','2024-11-26 16:08:52',_binary '\0'),(9,'','','330702197806106015','王诗源','{\"mobile\":\"13505790908\",\"deptCode\":\"X022\",\"deptDesc\":\"心血管内科专科门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817525386\",\"name\":\"王诗源\",\"id\":\"330702197806106015\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:39:51','143','2024-11-26 15:39:51',_binary '\0'),(10,'','','0000561765','郑小花','{\"mobile\":\"15867954176\",\"deptCode\":\"ZYFS\",\"deptDesc\":\"风湿免疫科(新)\",\"wardCode\":\"BQFS\",\"wardDesc\":\"风湿免疫病区(34)\",\"bedNo\":\"10\",\"source\":0,\"applyNo\":\"817492020\",\"name\":\"郑小花\",\"id\":\"0000561765\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:41:17','143','2024-11-26 15:41:17',_binary '\0'),(11,'','','0000452918','季文余','{\"mobile\":\"13957983595\",\"deptCode\":\"ZYSN\",\"deptDesc\":\"肾内科\",\"wardCode\":\"BQSK\",\"wardDesc\":\"肾内科病区(28)\",\"bedNo\":\"21\",\"source\":0,\"applyNo\":\"817523658\",\"name\":\"季文余\",\"id\":\"0000452918\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:41:41','143','2024-11-26 15:41:41',_binary '\0'),(12,'','','0000538712','章玉萍','{\"mobile\":\"15372909235\",\"deptCode\":\"ZYEB\",\"deptDesc\":\"耳鼻咽喉头颈外科(新)\",\"wardCode\":\"EBHK\",\"wardDesc\":\"耳鼻喉病区(21)\",\"bedNo\":\"21\",\"source\":0,\"applyNo\":\"817499004\",\"name\":\"章玉萍\",\"id\":\"0000538712\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:42:07','143','2024-11-26 15:42:07',_binary '\0'),(13,'','','0000561738','马鑫旺','{\"mobile\":\"13216437776\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"11\",\"source\":0,\"applyNo\":\"817525237\",\"name\":\"马鑫旺\",\"id\":\"0000561738\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:45:48','143','2024-11-26 15:45:48',_binary '\0'),(14,'','','0000561807','方文献','{\"mobile\":\"13586987153\",\"deptCode\":\"ZYGE\",\"deptDesc\":\"肝胆胰胃肠外二科\",\"wardCode\":\"GDEK\",\"wardDesc\":\"肝胆二病区(17)\",\"bedNo\":\"37\",\"source\":0,\"applyNo\":\"817517727\",\"name\":\"方文献\",\"id\":\"0000561807\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:45:58','1','2024-11-26 15:45:58',_binary '\0'),(15,'','','0000561813','俞卫棋','{\"mobile\":\"15967995111\",\"deptCode\":\"GMWK\",\"deptDesc\":\"结直肠肛门外科（肛肠外科新）\",\"wardCode\":\"GMBQ\",\"wardDesc\":\"结直肠肛门外科病区(19)\",\"bedNo\":\"01\",\"source\":0,\"applyNo\":\"817522012\",\"name\":\"俞卫棋\",\"id\":\"0000561813\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:46:31','1','2024-11-26 15:46:31',_binary '\0'),(16,'','','330702199712210013','楼一林','{\"mobile\":\"15267971941\",\"deptCode\":\"X022\",\"deptDesc\":\"心血管内科专科门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817525628\",\"name\":\"楼一林\",\"id\":\"330702199712210013\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 15:46:53','143','2024-11-26 15:46:53',_binary '\0'),(17,'','','0000257476','季洪根','{\"mobile\":\"13757967700\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"46\",\"source\":0,\"applyNo\":\"817320227\",\"name\":\"季洪根\",\"id\":\"0000257476\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:54:57','1','2024-11-26 15:54:57',_binary '\0'),(18,'','','0000257476','季洪根','{\"mobile\":\"13757967700\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"46\",\"source\":0,\"applyNo\":\"817320220\",\"name\":\"季洪根\",\"id\":\"0000257476\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:54:58','1','2024-11-26 15:54:58',_binary '\0'),(19,'','','0000527921','盛尚尧','{\"mobile\":\"13819987668\",\"deptCode\":\"ZYHX\",\"deptDesc\":\"呼吸与危重症医学科\",\"wardCode\":\"BQHX\",\"wardDesc\":\"呼吸与重症医学病区(39)\",\"bedNo\":\"14\",\"source\":0,\"applyNo\":\"817335868\",\"name\":\"盛尚尧\",\"id\":\"0000527921\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:55:21','1','2024-11-26 15:55:21',_binary '\0'),(20,'','','0000515027','施有根','{\"mobile\":\"18069942813\",\"deptCode\":\"ZYHX\",\"deptDesc\":\"呼吸与危重症医学科\",\"wardCode\":\"BQHX\",\"wardDesc\":\"呼吸与重症医学病区(39)\",\"bedNo\":\"16\",\"source\":0,\"applyNo\":\"817331803\",\"name\":\"施有根\",\"id\":\"0000515027\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:55:39','1','2024-11-26 15:55:39',_binary '\0'),(21,'','','0000237680','范惠苹','{\"mobile\":\"18258940893\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"41\",\"source\":0,\"applyNo\":\"817322697\",\"name\":\"范惠苹\",\"id\":\"0000237680\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'1','2024-11-26 15:56:26','1','2024-11-26 15:56:26',_binary '\0'),(22,'','','0000279072','黄宝花','{\"mobile\":\"13065925783\",\"deptCode\":\"ZYXN\",\"deptDesc\":\"心内三病区(31)\",\"wardCode\":\"BQXJ\",\"wardDesc\":\"心内三病区(31)\",\"bedNo\":\"27\",\"source\":0,\"applyNo\":\"817151309\",\"name\":\"黄宝花\",\"id\":\"0000279072\"}',200,'d7','2024-11-26 23:34:20',NULL,NULL,NULL,NULL,NULL,NULL,1,5,1,'1','2024-11-26 15:57:02','143','2024-11-26 23:34:33',_binary '\0'),(23,'','','0000561690','王旭东','{\"mobile\":\"13735673547\",\"deptCode\":\"ZYSN\",\"deptDesc\":\"肾内科\",\"wardCode\":\"BQSK\",\"wardDesc\":\"肾内科病区(28)\",\"bedNo\":\"17\",\"source\":0,\"applyNo\":\"817419414\",\"name\":\"王旭东\",\"id\":\"0000561690\"}',200,'d5','2024-11-26 16:38:36',NULL,NULL,NULL,NULL,NULL,NULL,1,5,1,'1','2024-11-26 15:57:30','143','2024-11-26 16:39:03',_binary '\0'),(24,'','','0000561690','王旭东','{\"mobile\":\"13735673547\",\"deptCode\":\"ZYSN\",\"deptDesc\":\"肾内科\",\"wardCode\":\"BQSK\",\"wardDesc\":\"肾内科病区(28)\",\"bedNo\":\"17\",\"source\":0,\"applyNo\":\"817419402\",\"name\":\"王旭东\",\"id\":\"0000561690\"}',300,'d6','2024-11-26 16:58:50',NULL,NULL,NULL,NULL,NULL,NULL,1,5,1,'1','2024-11-26 15:57:31','143','2024-11-26 16:58:57',_binary '\0'),(25,'','','0000438036','叶艳群','{\"mobile\":\"13738900008\",\"deptCode\":\"ZYEB\",\"deptDesc\":\"耳鼻咽喉头颈外科(新)\",\"wardCode\":\"EBHK\",\"wardDesc\":\"耳鼻喉病区(21)\",\"bedNo\":\"10\",\"source\":0,\"applyNo\":\"817473625\",\"name\":\"叶艳群\",\"id\":\"0000438036\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 16:11:25','143','2024-11-26 16:11:25',_binary '\0'),(26,'','','0000470292','周永法','{\"mobile\":\"18395917796\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"49\",\"source\":0,\"applyNo\":\"817333027\",\"name\":\"周永法\",\"id\":\"0000470292\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 16:22:35','143','2024-11-26 16:22:35',_binary '\0'),(27,'','','0000470292','周永法','{\"mobile\":\"18395917796\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"49\",\"source\":0,\"applyNo\":\"817333018\",\"name\":\"周永法\",\"id\":\"0000470292\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,'143','2024-11-26 16:22:36','143','2024-11-26 16:22:36',_binary '\0'),(28,'','','0000561696','吴姿儿','{\"mobile\":\"15336911778\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"16\",\"source\":0,\"applyNo\":\"817419578\",\"name\":\"吴姿儿\",\"id\":\"0000561696\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:11:08','1','2024-11-27 09:11:08',_binary '\0'),(29,'','','0000561696','吴姿儿','{\"mobile\":\"15336911778\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"16\",\"source\":0,\"applyNo\":\"817419651\",\"name\":\"吴姿儿\",\"id\":\"0000561696\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:11:11','1','2024-11-27 09:11:11',_binary '\0'),(30,'','','0000386078','尹惠芳','{\"mobile\":\"18395990177\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817399223\",\"name\":\"尹惠芳\",\"id\":\"0000386078\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:14:53','1','2024-11-27 09:14:53',_binary '\0'),(31,'','','0000386078','尹惠芳','{\"mobile\":\"18395990177\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817399170\",\"name\":\"尹惠芳\",\"id\":\"0000386078\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:14:54','1','2024-11-27 09:14:54',_binary '\0'),(32,'','','0000377453','王志荣','{\"mobile\":\"18257982178\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817561214\",\"name\":\"王志荣\",\"id\":\"0000377453\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:17:36','1','2024-11-27 09:17:36',_binary '\0'),(33,'','','0000434794','陆锡均','{\"mobile\":\"13516945061\",\"deptCode\":\"ZYSN\",\"deptDesc\":\"肾内科\",\"wardCode\":\"BQSK\",\"wardDesc\":\"肾内科病区(28)\",\"bedNo\":\"22\",\"source\":0,\"applyNo\":\"817440262\",\"name\":\"陆锡均\",\"id\":\"0000434794\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:19:55','1','2024-11-27 09:19:55',_binary '\0'),(34,'','','0000434794','陆锡均','{\"mobile\":\"13516945061\",\"deptCode\":\"ZYSN\",\"deptDesc\":\"肾内科\",\"wardCode\":\"BQSK\",\"wardDesc\":\"肾内科病区(28)\",\"bedNo\":\"22\",\"source\":0,\"applyNo\":\"817440235\",\"name\":\"陆锡均\",\"id\":\"0000434794\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:19:56','1','2024-11-27 09:19:56',_binary '\0'),(35,'','','330721195601167527','方祖兰','{\"mobile\":\"13566793527\",\"deptCode\":\"X286\",\"deptDesc\":\"房颤门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817564113\",\"name\":\"方祖兰\",\"id\":\"330721195601167527\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:20:14','1','2024-11-27 09:20:14',_binary '\0'),(36,'','','0000395476','应惠梅','{\"mobile\":\"15057975116\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"03\",\"source\":0,\"applyNo\":\"817399036\",\"name\":\"应惠梅\",\"id\":\"0000395476\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:21:41','1','2024-11-27 09:21:41',_binary '\0'),(37,'','','0000395476','应惠梅','{\"mobile\":\"15057975116\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"03\",\"source\":0,\"applyNo\":\"817402162\",\"name\":\"应惠梅\",\"id\":\"0000395476\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:22:08','1','2024-11-27 09:22:08',_binary '\0'),(38,'','','510821200003108829','蹇爱民','{\"mobile\":\"19938161930\",\"deptCode\":\"X061\",\"deptDesc\":\"妇科普通门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817568559\",\"name\":\"蹇爱民\",\"id\":\"510821200003108829\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:23:07','1','2024-11-27 09:23:07',_binary '\0'),(39,'','','330703200712242949','吕臻','{\"mobile\":\"18072308131\",\"deptCode\":\"X286\",\"deptDesc\":\"房颤门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817571286\",\"name\":\"吕臻\",\"id\":\"330703200712242949\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:26:41','1','2024-11-27 09:26:41',_binary '\0'),(40,'','','0000561840','杨文江','{\"mobile\":\"13967901338\",\"deptCode\":\"ZYEB\",\"deptDesc\":\"耳鼻咽喉头颈外科(新)\",\"wardCode\":\"EBHK\",\"wardDesc\":\"耳鼻喉病区(21)\",\"bedNo\":\"17\",\"source\":0,\"applyNo\":\"817560735\",\"name\":\"杨文江\",\"id\":\"0000561840\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:27:51','1','2024-11-27 09:27:51',_binary '\0'),(41,'','','330721196005071822','范跃婵','{\"mobile\":\"13957966820\",\"deptCode\":\"X286\",\"deptDesc\":\"房颤门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817572818\",\"name\":\"范跃婵\",\"id\":\"330721196005071822\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:33:20','1','2024-11-27 09:33:20',_binary '\0'),(42,'','','330721196005071822','范跃婵','{\"mobile\":\"13957966820\",\"deptCode\":\"X286\",\"deptDesc\":\"房颤门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817572820\",\"name\":\"范跃婵\",\"id\":\"330721196005071822\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:33:21','1','2024-11-27 09:33:21',_binary '\0'),(43,'','','0000561814','朱化平','{\"mobile\":\"13757978434\",\"deptCode\":\"ZYKF\",\"deptDesc\":\"康复医学科\",\"wardCode\":\"KFYX\",\"wardDesc\":\"康复医学病区(3)\",\"bedNo\":\"52\",\"source\":0,\"applyNo\":\"817528057\",\"name\":\"朱化平\",\"id\":\"0000561814\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:33:35','1','2024-11-27 09:33:35',_binary '\0'),(44,'','','330703201907231427','黄思淳','{\"mobile\":\"15057983606\",\"deptCode\":\"X002\",\"deptDesc\":\"儿科门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817567420\",\"name\":\"黄思淳\",\"id\":\"330703201907231427\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:33:54','1','2024-11-27 09:33:54',_binary '\0'),(45,'','','0000561717','严云苏','{\"mobile\":\"15068085822\",\"deptCode\":\"ZYGY\",\"deptDesc\":\"肝胆胰胃肠外一科\",\"wardCode\":\"GDYK\",\"wardDesc\":\"肝胆一病区(16)\",\"bedNo\":\"22\",\"source\":0,\"applyNo\":\"817425124\",\"name\":\"严云苏\",\"id\":\"0000561717\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:34:33','1','2024-11-27 09:34:33',_binary '\0'),(46,'','','533001200503047222','刘小贝','{\"mobile\":\"13738111261\",\"deptCode\":\"X060\",\"deptDesc\":\"妇科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817441227\",\"name\":\"刘小贝\",\"id\":\"533001200503047222\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:35:14','1','2024-11-27 09:35:14',_binary '\0'),(47,'','','0000296968','柳玉兰','{\"mobile\":\"15858907742\",\"deptCode\":\"ZYGW\",\"deptDesc\":\"骨二科(脊柱外科)\",\"wardCode\":\"BQGE\",\"wardDesc\":\"骨二病区(23)\",\"bedNo\":\"38\",\"source\":0,\"applyNo\":\"817539323\",\"name\":\"柳玉兰\",\"id\":\"0000296968\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:36:52','1','2024-11-27 09:36:52',_binary '\0'),(48,'','','330721199005023621','宋丽群','{\"mobile\":\"13588667606\",\"deptCode\":\"X171\",\"deptDesc\":\"生殖免疫及保胎门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817563722\",\"name\":\"宋丽群\",\"id\":\"330721199005023621\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:37:34','1','2024-11-27 09:37:34',_binary '\0'),(49,'','','0000561654','吴波','{\"mobile\":\"15905791808\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"15\",\"source\":0,\"applyNo\":\"817434596\",\"name\":\"吴波\",\"id\":\"0000561654\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:39:07','1','2024-11-27 09:39:07',_binary '\0'),(50,'','','0000561654','吴波','{\"mobile\":\"15905791808\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"15\",\"source\":0,\"applyNo\":\"817434590\",\"name\":\"吴波\",\"id\":\"0000561654\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 09:39:08','1','2024-11-27 09:39:08',_binary '\0'),(51,'','','33072119770915396X','王悦','{\"mobile\":\"13957992980\",\"deptCode\":\"X014\",\"deptDesc\":\"脊柱外科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817573546\",\"name\":\"王悦\",\"id\":\"33072119770915396X\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 09:50:50','143','2024-11-27 09:50:50',_binary '\0'),(52,'','','0000430914','钱旭玲','{\"mobile\":\"13017968108\",\"deptCode\":\"ZYXN\",\"deptDesc\":\"心内三病区(31)\",\"wardCode\":\"BQXJ\",\"wardDesc\":\"心内三病区(31)\",\"bedNo\":\"12\",\"source\":0,\"applyNo\":\"817410841\",\"name\":\"钱旭玲\",\"id\":\"0000430914\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 10:19:09','143','2024-11-27 10:19:09',_binary '\0'),(53,'','','330721198811061919','曹健雄','{\"mobile\":\"19905793338\",\"deptCode\":\"X350\",\"deptDesc\":\"消化内科专科门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817579495\",\"name\":\"曹健雄\",\"id\":\"330721198811061919\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 10:20:46','143','2024-11-27 10:20:46',_binary '\0'),(54,'','','0000511625','陈芬','{\"mobile\":\"15167978333\",\"deptCode\":\"ZYFY\",\"deptDesc\":\"妇一科\",\"wardCode\":\"FYBQ\",\"wardDesc\":\"妇一病区(10)\",\"bedNo\":\"29\",\"source\":0,\"applyNo\":\"817579487\",\"name\":\"陈芬\",\"id\":\"0000511625\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:32:25','1','2024-11-27 10:32:25',_binary '\0'),(55,'','','330721197207040914','傅军','{\"mobile\":\"13575919192\",\"deptCode\":\"X020\",\"deptDesc\":\"心血管内科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817584596\",\"name\":\"傅军\",\"id\":\"330721197207040914\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:32:53','1','2024-11-27 10:32:53',_binary '\0'),(56,'','','0000561881','吴秋良','{\"mobile\":\"13806783455\",\"deptCode\":\"ZYGY\",\"deptDesc\":\"肝胆胰胃肠外一科\",\"wardCode\":\"GDYK\",\"wardDesc\":\"肝胆一病区(16)\",\"bedNo\":\"47\",\"source\":0,\"applyNo\":\"817583628\",\"name\":\"吴秋良\",\"id\":\"0000561881\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:35:14','1','2024-11-27 10:35:14',_binary '\0'),(57,'','','0000554439','吴思梅','{\"mobile\":\"15157944841\",\"deptCode\":\"ZYFY\",\"deptDesc\":\"妇一科\",\"wardCode\":\"FYBQ\",\"wardDesc\":\"妇一病区(10)\",\"bedNo\":\"35\",\"source\":0,\"applyNo\":\"817581194\",\"name\":\"吴思梅\",\"id\":\"0000554439\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:39:13','1','2024-11-27 10:39:13',_binary '\0'),(58,'','','0000513790','方艳秋','{\"mobile\":\"13957974803\",\"deptCode\":\"ZYGE\",\"deptDesc\":\"肝胆胰胃肠外二科\",\"wardCode\":\"GDEK\",\"wardDesc\":\"肝胆二病区(17)\",\"bedNo\":\"39\",\"source\":0,\"applyNo\":\"817503686\",\"name\":\"方艳秋\",\"id\":\"0000513790\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:43:11','1','2024-11-27 10:43:11',_binary '\0'),(59,'','','0000561859','祝雄','{\"mobile\":\"13819923098\",\"deptCode\":\"GMWK\",\"deptDesc\":\"结直肠肛门外科（肛肠外科新）\",\"wardCode\":\"GMBQ\",\"wardDesc\":\"结直肠肛门外科病区(19)\",\"bedNo\":\"27\",\"source\":0,\"applyNo\":\"817576001\",\"name\":\"祝雄\",\"id\":\"0000561859\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:43:49','1','2024-11-27 10:43:49',_binary '\0'),(60,'','','0000494539','楼秀云','{\"mobile\":\"13957992277\",\"deptCode\":\"ZY9Y\",\"deptDesc\":\"入院准备中心\",\"wardCode\":\"BQ26\",\"wardDesc\":\"入院准备中心*\",\"bedNo\":\"04\",\"source\":0,\"applyNo\":\"817585976\",\"name\":\"楼秀云\",\"id\":\"0000494539\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:47:32','1','2024-11-27 10:47:32',_binary '\0'),(61,'','','0000474610','陈运华','{\"mobile\":\"13346198338\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"04\",\"source\":0,\"applyNo\":\"817584083\",\"name\":\"陈运华\",\"id\":\"0000474610\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:49:24','1','2024-11-27 10:49:24',_binary '\0'),(62,'','','0000561842','曹美锦','{\"mobile\":\"13738960309\",\"deptCode\":\"ZYHX\",\"deptDesc\":\"呼吸与危重症医学科\",\"wardCode\":\"BQHX\",\"wardDesc\":\"呼吸与重症医学病区(39)\",\"bedNo\":\"05\",\"source\":0,\"applyNo\":\"817585346\",\"name\":\"曹美锦\",\"id\":\"0000561842\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:50:07','1','2024-11-27 10:50:07',_binary '\0'),(63,'','','158669','俞夏艳','{\"mobile\":\"13586979095\",\"deptCode\":\"健康管理中心\",\"deptDesc\":\"\",\"wardCode\":\"-\",\"wardDesc\":\"\",\"bedNo\":\"0\",\"source\":0,\"applyNo\":\"8824111822371103\",\"name\":\"俞夏艳\",\"id\":\"158669\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:51:11','1','2024-11-27 10:51:11',_binary '\0'),(64,'','','0000561857','黄雪眉','{\"mobile\":\"15258937394\",\"deptCode\":\"ZY9Y\",\"deptDesc\":\"入院准备中心\",\"wardCode\":\"BQ26\",\"wardDesc\":\"入院准备中心*\",\"bedNo\":\"04\",\"source\":0,\"applyNo\":\"817567146\",\"name\":\"黄雪眉\",\"id\":\"0000561857\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 10:56:36','1','2024-11-27 10:56:36',_binary '\0'),(65,'','','0000561810','陈粲','{\"mobile\":\"17855866581\",\"deptCode\":\"ZYEK\",\"deptDesc\":\"儿科(新)\",\"wardCode\":\"EKBQ\",\"wardDesc\":\"儿科病区(20)\",\"bedNo\":\"36\",\"source\":0,\"applyNo\":\"817519068\",\"name\":\"陈粲\",\"id\":\"0000561810\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 11:19:29','1','2024-11-27 11:19:29',_binary '\0'),(66,'','','0000414042','叶赛珠','{\"mobile\":\"18368657750\",\"deptCode\":\"GR1K\",\"deptDesc\":\"感染性疾病科（一）\",\"wardCode\":\"GRYB\",\"wardDesc\":\"感染一病区(42)\",\"bedNo\":\"03\",\"source\":0,\"applyNo\":\"817444083\",\"name\":\"叶赛珠\",\"id\":\"0000414042\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 13:48:20','1','2024-11-27 13:48:20',_binary '\0'),(67,'','','0000561628','叶凌云','{\"mobile\":\"13185798876\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"20\",\"source\":0,\"applyNo\":\"817389121\",\"name\":\"叶凌云\",\"id\":\"0000561628\"}',400,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 13:48:37','1','2024-11-27 13:48:37',_binary '\0'),(68,'','','0000561578','吕芝仙','{\"mobile\":\"18867590391\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817576197\",\"name\":\"吕芝仙\",\"id\":\"0000561578\"}',400,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 13:49:02','1','2024-11-27 13:49:02',_binary '\0'),(69,'','','0000561863','邵宏斌','{\"mobile\":\"13676616565\",\"deptCode\":\"ZYGE\",\"deptDesc\":\"肝胆胰胃肠外二科\",\"wardCode\":\"GDEK\",\"wardDesc\":\"肝胆二病区(17)\",\"bedNo\":\"46\",\"source\":0,\"applyNo\":\"817590797\",\"name\":\"邵宏斌\",\"id\":\"0000561863\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 13:56:13','1','2024-11-27 13:56:13',_binary '\0'),(70,'','','0000561861','邵泉海','{\"mobile\":\"13676616565\",\"deptCode\":\"ZYGE\",\"deptDesc\":\"肝胆胰胃肠外二科\",\"wardCode\":\"GDEK\",\"wardDesc\":\"肝胆二病区(17)\",\"bedNo\":\"47\",\"source\":0,\"applyNo\":\"817584693\",\"name\":\"邵泉海\",\"id\":\"0000561861\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 13:56:24','1','2024-11-27 13:56:24',_binary '\0'),(71,'','','0000283487','邱继平','{\"mobile\":\"13174982457\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"13\",\"source\":0,\"applyNo\":\"817424745\",\"name\":\"邱继平\",\"id\":\"0000283487\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 14:17:31','1','2024-11-27 14:17:31',_binary '\0'),(72,'','','0000283487','邱继平','{\"mobile\":\"13174982457\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"13\",\"source\":0,\"applyNo\":\"817424714\",\"name\":\"邱继平\",\"id\":\"0000283487\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 14:17:32','1','2024-11-27 14:17:32',_binary '\0'),(73,'','','0000561867','郑小牛','{\"mobile\":\"13738957899\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"15\",\"source\":0,\"applyNo\":\"817584026\",\"name\":\"郑小牛\",\"id\":\"0000561867\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:27:27','1','2024-11-27 15:27:27',_binary '\0'),(74,'','','0000446184','楼伯溪','{\"mobile\":\"13085651018\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"29\",\"source\":0,\"applyNo\":\"817440615\",\"name\":\"楼伯溪\",\"id\":\"0000446184\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:28:22','1','2024-11-27 15:28:22',_binary '\0'),(75,'','','0000446184','楼伯溪','{\"mobile\":\"13085651018\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"29\",\"source\":0,\"applyNo\":\"817441017\",\"name\":\"楼伯溪\",\"id\":\"0000446184\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:28:24','1','2024-11-27 15:28:24',_binary '\0'),(76,'','','0000561885','方玉琴','{\"mobile\":\"18072336809\",\"deptCode\":\"ZYZY\",\"deptDesc\":\"中医科(中西医结合科)\",\"wardCode\":\"BQZY\",\"wardDesc\":\"中医病区(40)\",\"bedNo\":\"07\",\"source\":0,\"applyNo\":\"817591571\",\"name\":\"方玉琴\",\"id\":\"0000561885\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:31:25','1','2024-11-27 15:31:25',_binary '\0'),(77,'','','0000472315','黄素娣','{\"mobile\":\"15214707837\",\"deptCode\":\"ZYFS\",\"deptDesc\":\"风湿免疫科(新)\",\"wardCode\":\"BQFS\",\"wardDesc\":\"风湿免疫病区(34)\",\"bedNo\":\"31\",\"source\":0,\"applyNo\":\"817596462\",\"name\":\"黄素娣\",\"id\":\"0000472315\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:32:10','1','2024-11-27 15:32:10',_binary '\0'),(78,'','','0000419283','贾章钗','{\"mobile\":\"13357052906\",\"deptCode\":\"ZYSJ\",\"deptDesc\":\"神经内科(新)\",\"wardCode\":\"BQSN\",\"wardDesc\":\"神经内科病区(33)\",\"bedNo\":\"44\",\"source\":0,\"applyNo\":\"817612588\",\"name\":\"贾章钗\",\"id\":\"0000419283\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:32:25','1','2024-11-27 15:32:25',_binary '\0'),(79,'','','0000557821','贾爱玲','{\"mobile\":\"13058970781\",\"deptCode\":\"ZYRJ\",\"deptDesc\":\"乳腺甲状腺外科\",\"wardCode\":\"ZLBQ\",\"wardDesc\":\"(18)乳腺甲状腺外科病区\",\"bedNo\":\"38\",\"source\":0,\"applyNo\":\"817617258\",\"name\":\"贾爱玲\",\"id\":\"0000557821\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:38:29','1','2024-11-27 15:38:29',_binary '\0'),(80,'','','33070219910106562X','徐璐','{\"mobile\":\"13566763006\",\"deptCode\":\"X043\",\"deptDesc\":\"心胸外科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817612221\",\"name\":\"徐璐\",\"id\":\"33070219910106562X\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:38:36','1','2024-11-27 15:38:36',_binary '\0'),(81,'','','0000446662','吴仙云','{\"mobile\":\"13967966687\",\"deptCode\":\"ZYGJ\",\"deptDesc\":\"骨一科(关节外科)\",\"wardCode\":\"GYBQ\",\"wardDesc\":\"骨一病区(22)\",\"bedNo\":\"45\",\"source\":0,\"applyNo\":\"817616155\",\"name\":\"吴仙云\",\"id\":\"0000446662\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:39:56','1','2024-11-27 15:39:56',_binary '\0'),(82,'','','0000561850','王宝苏','{\"mobile\":\"13095887952\",\"deptCode\":\"ZYXE\",\"deptDesc\":\"心血管内二科\",\"wardCode\":\"BQXE\",\"wardDesc\":\"心内二病区(32)\",\"bedNo\":\"07\",\"source\":0,\"applyNo\":\"817583966\",\"name\":\"王宝苏\",\"id\":\"0000561850\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:42:12','1','2024-11-27 15:42:12',_binary '\0'),(83,'','','33070265275468601','周承宇','{\"mobile\":\"18329037029\",\"deptCode\":\"X032\",\"deptDesc\":\"呼吸与危重症医学科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817618893\",\"name\":\"周承宇\",\"id\":\"33070265275468601\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:42:17','1','2024-11-27 15:42:17',_binary '\0'),(84,'','','0000391149','李顺湖','{\"mobile\":\"13600594207\",\"deptCode\":\"ZYZY\",\"deptDesc\":\"中医科(中西医结合科)\",\"wardCode\":\"BQZY\",\"wardDesc\":\"中医病区(40)\",\"bedNo\":\"39\",\"source\":0,\"applyNo\":\"817585171\",\"name\":\"李顺湖\",\"id\":\"0000391149\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 15:44:17','1','2024-11-27 15:44:17',_binary '\0'),(85,'','','0000561890','范俊晨','{\"mobile\":\"18267996987\",\"deptCode\":\"ZYNF\",\"deptDesc\":\"内分泌科\",\"wardCode\":\"BQNF\",\"wardDesc\":\"内分泌科病区(29)\",\"bedNo\":\"32\",\"source\":0,\"applyNo\":\"817606332\",\"name\":\"范俊晨\",\"id\":\"0000561890\"}',1100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 16:00:54','1','2024-11-27 16:00:54',_binary '\0'),(86,'','','0000561824','陈纪何','{\"mobile\":\"13750985159\",\"deptCode\":\"XXWK\",\"deptDesc\":\"心胸外科\",\"wardCode\":\"XXBQ\",\"wardDesc\":\"心胸外科病区(14)\",\"bedNo\":\"29\",\"source\":0,\"applyNo\":\"817533412\",\"name\":\"陈纪何\",\"id\":\"0000561824\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-27 16:04:23','1','2024-11-27 16:04:23',_binary '\0'),(87,'','','0000391149','李顺湖','{\"mobile\":\"13600594207\",\"deptCode\":\"ZYZY\",\"deptDesc\":\"中医科(中西医结合科)\",\"wardCode\":\"BQZY\",\"wardDesc\":\"中医病区(40)\",\"bedNo\":\"39\",\"source\":0,\"applyNo\":\"817585159\",\"name\":\"李顺湖\",\"id\":\"0000391149\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 16:07:14','143','2024-11-27 16:07:14',_binary '\0'),(88,'','','33072119851012332X','张慧','{\"mobile\":\"18657999313\",\"deptCode\":\"X020\",\"deptDesc\":\"心血管内科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817602842\",\"name\":\"张慧\",\"id\":\"33072119851012332X\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 16:16:57','143','2024-11-27 16:16:57',_binary '\0'),(89,'','','33072119851012332X','张慧','{\"mobile\":\"18657999313\",\"deptCode\":\"0900\",\"deptDesc\":\"急诊内科\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"806772477\",\"name\":\"张慧\",\"id\":\"33072119851012332X\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 16:17:09','143','2024-11-27 16:17:09',_binary '\0'),(90,'','','0000511563','申美华','{\"mobile\":\"13185798618\",\"deptCode\":\"ZYXX\",\"deptDesc\":\"心血管内一科\",\"wardCode\":\"BQXY\",\"wardDesc\":\"心内一病区(30)\",\"bedNo\":\"47\",\"source\":0,\"applyNo\":\"817507246\",\"name\":\"申美华\",\"id\":\"0000511563\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 16:30:23','143','2024-11-27 16:30:23',_binary '\0'),(91,'','','331122200705022523','卢欣怡','{\"mobile\":\"18257892104\",\"deptCode\":\"X022\",\"deptDesc\":\"心血管内科专科门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"applyNo\":\"817621424\",\"name\":\"卢欣怡\",\"id\":\"331122200705022523\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'143','2024-11-27 16:38:34','143','2024-11-27 16:38:34',_binary '\0'),(92,'808046108','808043817','330204198502076048','金贝','{\"mobile\":\"13566776008\",\"deptCode\":\"X066\",\"deptDesc\":\"产科专家门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"name\":\"金贝\",\"id\":\"330204198502076048\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-29 18:54:53','1','2024-11-29 18:54:53',_binary '\0'),(93,'808461844','808459716','33070219501206044X','吴惠文','{\"mobile\":\"13065951597\",\"deptCode\":\"X285\",\"deptDesc\":\"便民门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"name\":\"吴惠文\",\"id\":\"33070219501206044X\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-29 18:56:31','1','2024-11-29 18:56:31',_binary '\0'),(94,'808852330','808849982','330702199309025619','冯一宸','{\"mobile\":\"18888940902\",\"deptCode\":\"0999\",\"deptDesc\":\"病区门诊\",\"wardCode\":\"\",\"wardDesc\":\"\",\"bedNo\":\"\",\"source\":0,\"name\":\"冯一宸\",\"id\":\"330702199309025619\"}',500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-11-29 18:58:19','1','2024-11-29 18:58:19',_binary '\0'),(95,'807219634','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',400,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-02 18:07:47','1','2024-12-02 18:07:47',_binary '\0'),(96,'807219831','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-02 18:08:57','1','2024-12-02 18:08:57',_binary '\0'),(97,'807219732','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-03 09:41:25','1','2024-12-03 09:41:25',_binary '\0'),(98,'808219752','2024701765','8001','阿8001','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8001\",\"id\":\"8001\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-03 09:41:43','1','2024-12-03 09:41:43',_binary '\0'),(99,'828219752','2024701786','8002','阿8002','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8002\",\"id\":\"8002\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-03 09:41:53','1','2024-12-03 09:41:53',_binary '\0'),(100,'807219633','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-03 11:52:28','1','2024-12-03 11:52:28',_binary '\0'),(101,'807219732','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-04 14:45:23','1','2024-12-04 14:45:23',_binary '\0'),(102,'807219633','2024701761','8000','阿8000','{\"mobile\":\"18257964397\",\"deptCode\":\"ZYMN\",\"deptDesc\":\"泌尿外科\",\"wardCode\":\"BQMN\",\"wardDesc\":\"泌尿外科病区(24)\",\"bedNo\":\"50\",\"source\":3,\"name\":\"阿8000\",\"id\":\"8000\"}',300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,'1','2024-12-04 14:45:44','1','2024-12-04 14:45:44',_binary '\0');
/*!40000 ALTER TABLE `dev_rent` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27  9:16:44
